> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateCompanyBankAccount

> 
The `updateCompanyBankAccount` API updates the company's bank account details without the need to delete and manually re-add a funding source.

### What it does:

- Updates existing bank account information including account number, routing number, and bank name
- Modifies account type and account name for the company's funding source



## OpenAPI

````yaml put /adminPortal/updateCompanyBankAccount
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateCompanyBankAccount:
    put:
      tags: []
      summary: updateCompanyBankAccount
      description: >-

        The `updateCompanyBankAccount` API updates the company's bank account
        details without the need to delete and manually re-add a funding source.


        ### What it does:


        - Updates existing bank account information including account number,
        routing number, and bank name

        - Modifies account type and account name for the company's funding
        source
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateCompanyBankAccount
                  example: updateCompanyBankAccount
                companyFundingSourceEntity:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    accountNumber:
                      type: string
                      maxLength: 40
                    routingNumber:
                      type: string
                      maxLength: 40
                    bankName:
                      type: string
                      maxLength: 40
                    accountType:
                      type: string
                      maxLength: 40
                    accountName:
                      type: string
                  required:
                    - companyId
              required:
                - method
                - companyFundingSourceEntity
            example:
              method: updateCompanyBankAccount
              companyFundingSourceEntity:
                companyId: 8A9B7683-8E02-494D-8422-963FD05EE785
                accountNumber: '9889890989'
                routingNumber: '221982389'
                bankName: Chase Bank
                accountType: Savings
                accountName: default
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  companyFundingSourceEntity:
                    type: object
                    properties:
                      companyFundingSourceEntityId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - companyFundingSourceEntityId
                      - status
                required:
                  - companyFundingSourceEntity
              example:
                companyFundingSourceEntity:
                  companyFundingSourceEntityId: 5E56316D-5226-47CF-BDC8-994EDC01CBB7
                  status: Ready
                  message: The Company's bank account has been Updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````